Name:		ctunnel
Version:	0.3
Release:	1
Summary:	Crypto Tunnel for Proxying and Forwarding TCP Connections
Source0:	http://www.nardcore.org/ctunnel/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
URL:		http://nardcore.org/ctunnel/
Group:		Productivity/Networking/Other
License:	GNU General Public License version 2 (GPL v2)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

BuildRequires:	make
BuildRequires:	coreutils
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	libgcrypt-devel >= 1.4.5
BuildRequires:	libgpg-error-devel >= 1.7
BuildRequires:	zlib-devel >= 1.2.3

Requires:	openssl >= 0.9.8
Requires:	libgcrypt >= 1.4.5
Requires:	libgpg-error >= 1.7
Requires:	zlib >= 1.2.3

%description
ctunnel is a software for proxying and forwarding TCP connections via a
cryptographic tunnel.

ctunnel can be used to secure any existing TCP based protocol, such as HTTP,
VNC, Telnet, FTP, RSH, MySQL, etc.
You can even tunnel SSH! (if you are really paranoid!).

You can also chain/bounce connections to any number of intermediary hosts.


%prep
%setup -q
%patch0


%build
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

export PATH=/opt/freeware/bin:$PATH
gmake PREFIX=${RPM_BUILD_ROOT}%{_prefix} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Fri Jun 04 2010 Michael Perzl <michael@perzl.org> - 0.3-1
- first version for AIX V5.1 and higher
